Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1494076 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-21 12:33 UTC by Michal Schorm
Modified: 2018-02-26 14:05 UTC (History)
2 users (show)

Fixed In Version: cherokee-1.2.104-6.fc27 cherokee-1.2.104-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-25 07:14:35 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1509428 0 unspecified CLOSED mariadb-connector-c and mariadb-connector-c-devel have a file ownership conflict 2021-02-22 00:41:40 UTC

Internal Links: 1509428

Description Michal Schorm 2017-09-21 12:33:35 UTC
Hello, a MariaDB went through big changes and your package will probabbly need a patch. However your package FTBFS for a long time, so I have no way to test the patch.

In most cases, this command was enough to fix all the issues:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-connector-c-devel/mariadb-connector-c-devel openssl-devel/" $(fedpkg gimmespec) ;

This change is currently applicable to the Rawhide (f28) only.



For more information check the tracking bugzilla.

Comment 1 George R. Goffe 2017-11-26 20:05:44 UTC
Hi,

Watching and waiting for a fix for this problem.

Thanks,

George...

 Problem 1: cannot install both mariadb-connector-c-3.0.2-20.fc28.x86_64 and mariadb-connector-c-3.0.2-19.fc28.x86_64
  - package cherokee-1.2.104-1.fc25.x86_64 requires libmysqlclient.so.18()(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package mariadb-connector-c-3.0.2-19.fc28.x86_64
  - cannot install the best update candidate for package cherokee-1.2.104-1.fc25.x86_64
 Problem 2: problem with installed package cherokee-1.2.104-1.fc25.x86_64
  - package cherokee-1.2.104-1.fc25.x86_64 requires libmysqlclient.so.18()(64bit), but none of the providers can be installed
  - cannot install both mariadb-connector-c-3.0.2-20.fc28.x86_64 and mariadb-connector-c-3.0.2-19.fc28.x86_64
  - mariadb-connector-c-3.0.2-20.fc28.i686 has inferior architecture
  - package mariadb-connector-c-devel-3.0.2-20.fc28.x86_64 requires mariadb-connector-c = 3.0.2-20.fc28, but none of the providers can be installed
  - cannot install the best update candidate for package mariadb-connector-c-devel-3.0.2-19.fc28.x86_64

Comment 2 Michal Schorm 2017-12-13 12:35:55 UTC
Hello,

MariaDB renamed its library to "libmariadb.so".
MariaDB package has "Provides:" of the libmysqlclient.so, however it did not ship it. That was fixed by the false Provide removal.

Basically, there are 2 options.
Either use "commnity-mysql" package which provides desired library, or try to discuss with upstream move to MariaDB or atleast compatibility with both databases.

Any of those ^ solutions are sufficent to solve this bug report, however, I'd prefer moving the project to MariaDB :)

Comment 3 Fedora Update System 2018-01-15 17:25:50 UTC
cherokee-1.2.104-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6d868bcdc

Comment 4 Fedora Update System 2018-01-15 17:27:21 UTC
cherokee-1.2.104-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2394655c7f

Comment 5 Fedora Update System 2018-01-17 06:47:07 UTC
cherokee-1.2.104-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2394655c7f

Comment 6 Fedora Update System 2018-01-17 06:56:17 UTC
cherokee-1.2.104-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6d868bcdc

Comment 7 Fedora Update System 2018-01-25 07:14:35 UTC
cherokee-1.2.104-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-01-25 10:50:58 UTC
cherokee-1.2.104-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.